package com.ycwl.basic.service.pc;


import com.ycwl.basic.model.pc.adminUser.req.*;
import com.ycwl.basic.utils.ApiResponse;

public interface AdminUserService {
    ApiResponse list(AdminUserListReqVO adminUserListReqVO);
    ApiResponse addOrUpdate(AddOrUpdateAdminUserReqVO addOrUpdateAdminUserReqVO);
    ApiResponse delete(String id);
    ApiResponse resetPassword(ResetPasswordReqVO resetPasswordReqVO);
    ApiResponse login(LoginReqVO loginReqVO) throws Exception;
    ApiResponse updatePassword(UpdatePasswordReqVO updatePasswordReqVO);
}
